Bug 58510 - UI: distorted screen after scrolling
Summary: UI: distorted screen after scrolling
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
QA Contact: Jorendc
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-19 11:19 UTC by roloff
Modified: 2016-04-16 07:25 UTC (History)
1 user (show)

See Also:


Attachments
distorted cell grid after scrolling (284.03 KB, image/jpeg)
2012-12-19 11:19 UTC, roloff
Details
some information about my graphics card from aticonfig (50.14 KB, image/jpeg)
2012-12-19 11:21 UTC, roloff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description roloff 2012-12-19 11:19:57 UTC
Created attachment 71796 [details]
distorted cell grid after scrolling

This bug appeared some time ago after upgrading Libreoffice, and I was hoping it would disappear after one of the folluwing updates, but it didn't.

When scrolling from left to right and then backwards using the cursor keys or the scrollbar arrow keys, the cell grid gets distorted. Changing the zoom level or minimizing/maximizing the window refreshes the screen.

Scrolling up/down or scrolling using the scrollbar (dragging the scrollbar with the mouse) doesn't distort the grid.

Thanks a lot for your help.
Torsten

p.s.
Very basic information about my system (will provide more, if you tell me what's needed):

uname -a
Linux x 2.6.32-5-amd64 #1 SMP Sun Sep 23 10:07:46 UTC 2012 x86_64 GNU/Linux

cat /etc/debian_version 
6.0.6

Libreoffice Version 3.6.4.3 (Build ID: 2ef5aff)
LibO_3.6.4_Linux_x86-64_helppack-deb_de.tar.gz
LibO_3.6.4_Linux_x86-64_install-deb_en-US.tar.gz
LibO_3.6.4_Linux_x86-64_langpack-deb_de.tar.gz
Comment 1 roloff 2012-12-19 11:21:40 UTC
Created attachment 71799 [details]
some information about my graphics card from aticonfig
Comment 2 Jorendc 2013-02-01 13:53:46 UTC
I'm not sure to mark this bug as a duplicate of Bug 56932. Therefore I place it in the 'See Also' field.
Comment 3 Alejandro Ravera 2013-03-13 16:25:08 UTC
I have the same problem. My video driver is fglrx(catalyst) and the video card is a radeon 4650hd. 
The problem occurs when I scroll with the direction keys, if I scroll with the mouse it doesn't happen.
Comment 4 Jorendc 2013-03-14 10:46:12 UTC
(In reply to comment #3)
> I have the same problem. My video driver is fglrx(catalyst) and the video
> card is a radeon 4650hd. 
> The problem occurs when I scroll with the direction keys, if I scroll with
> the mouse it doesn't happen.

Thanks for your confirmation. Therefore we can mark this bug as NEW.

Kind regards,
Joren
Comment 5 Alexander Shikov 2013-07-25 17:53:41 UTC
The same problem with libreoffice calc 4.0.4 compiled from ports tree on FreeBSD 10-CURRENT. The problem may not depend on video card etc. because I observe the same issue on remote X terminal with other video card.

This bug may relate to https://bugs.freedesktop.org/show_bug.cgi?id=65603.
Comment 6 QA Administrators 2015-04-01 14:42:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   *Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
   https://www.libreoffice.org/download/

   *If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
   *If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   *Update the version field
   *Reply via email (please reply directly on the bug tracker)
   *Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-04-01
Comment 7 tommy27 2016-04-16 07:25:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16